::----------------------------------------------------------------------------------------------
:: Script to compile a CorSight2 OpenCamera design
:: Copyright (C) 2017 NET GmbH. All Rights Reserved
::----------------------------------------------------------------------------------------------
@echo off
echo.

setlocal enabledelayedexpansion

::--------------------------------------------
:: Set Vivado installation path and version
::--------------------------------------------
call Set_Vivado_Version.bat
if errorlevel 1 goto END_ERR

::--------------------------------------------
:: Import command line argument(s)
::--------------------------------------------
set ModId=%1
set DsgId=%2
set RevId=%3
set CompMode=%4

:: Run Vivado TCL compile script
call "%VivadoPath%\%VivadoVer%\bin\vivado.bat" -mode batch -notrace -source Start_OpenCam_FPGA.tcl -tclargs %ModId% %DsgId% %RevId% %CompMode%
goto END_OK

::----------------------------------------------------------------------------------------------
:: Exit Batchfile
::----------------------------------------------------------------------------------------------
:END_OK
exit /b 0

:END_ERR
exit /b 1
