::------------------------------------------------------------------------------------------------------
:: Project   : CorSight2 - Custom Module
:: Title     : Vivado Installation Path and Version Settings
:: Copyright (C) 2017 NET GmbH. All Rights Reserved
::------------------------------------------------------------------------------------------------------
@echo off

:: Set Vivado Installation Path and Version
set VivadoPath=C:\Xilinx\Vivado
set VivadoVer=2017.3

if not exist "%VivadoPath%\%VivadoVer%\bin\vivado.bat" goto MissingVivado
goto END_OK

::------------------------------------------------------------------------------------------------------
:: Error Messages
::------------------------------------------------------------------------------------------------------
:MissingVivado
echo.
echo -- [Set_Vivado_Version.bat] ERROR: "%VivadoPath%\%VivadoVer%\bin\vivado.bat' file not found - Compile Aborted
goto END_ERR

::------------------------------------------------------------------------------------------------------
:: Exit Batchfile
::------------------------------------------------------------------------------------------------------
:END_OK
exit /b 0

:END_ERR
exit /b 1
