# ------------------------------------------------------------------------------------------------------
# Project    : CorSight2 - Custom Module
# Title      : User-defined FPGA compile variables for LutDesign
# ------------------------------------------------------------------------------------------------------
# Copyright (c) 2017 NET New Electronic Technology GmbH
# ------------------------------------------------------------------------------------------------------

# Set the Custom Module revision number (two digits):
set CUSTOM_REV_NUM  "01"

# Set the Vivado exit mode at end of compilation [OPEN, CLOSE]
set VIVADO_MODE  "CLOSE"

# Select the required debug module [NONE, CHIPSCOPE, ANALYZER] (DEBUG mode only)
set CUSTOM_DEBUG_MODULE  "CHIPSCOPE"

# Select the required debug device [ILA1x128x1024, ILA1x256x1024] (DEBUG mode only)
set CUSTOM_DEBUG_DEVICE  "ILA1x256x1024"

return ok
